import React from "react";
import PropTypes from "prop-types";
import { IconButton, Tooltip } from "@material-ui/core";
import { PowerSettingsNew } from "@material-ui/icons";
import { useTranslation } from "react-i18next";
import { useToast } from "../../../hooks";
import * as api from "../api";

const WakeComponent = ({ machine, addLog }) => {
  const { t } = useTranslation();
  const { success, error } = useToast();

  const wakeMachine = machine => async () => {
    const result = await api.wakeMachine(machine.macAddress);
    addLog(`Success: ${result.success}. Status: ${result.status}`);
    if (result.success) {
      success(result.status);
    } else {
      error(result.status);
    }
  };

  const handleClick = () => {
    alert("AAA");
  };

  return (
    <Tooltip title={t("Machine.Actions.Wake")}>
      <span>
        <IconButton
          id={`machine-${machine.machineId}-wake`}
          size={"small"}
          disabled={false}
          onClick={handleClick}
        >
          <PowerSettingsNew />
        </IconButton>
      </span>
    </Tooltip>
  );
};

WakeComponent.propTypes = {
  machine: PropTypes.object.isRequired,
  addLog: PropTypes.func.isRequired
};

export default WakeComponent;
